How to migrate a Capella model

Hi all,
You have been several to face migration issues. Following is the procedure about how to migrate a Capella model to the next major version.
To launch the migration process on a Capella Project, right click on the project and choose migration > Migrate Project toward current version like this:
Regards,
The Capella Team.

Hi,
Is there a way to perform a downgrade migration?
E.g. From 1.1.0 to 1.0.2 …
Regards

To my knowledge, nope
Sorry…

Hello,
I tried to migrate a project from CAPELLA 1.1.2 to 1.2.0 but I obtain the following error:
Some extensions are missing
Unknown ‘CSConfiguration[]’ from model

http://www.polarsys.org/capella/ms’.
Could you please help me to solve this issue?
Matthieu

Hi,
Apparently you were using the Modes/States/Configurations add-on in Capella 1.1.x. This add-on is not available yet for Capella 1.2.x. Hopefully it will availabel in the next few weeks.
You need to “detach” this viewpoint (meaning you will lose the data related to this add-on). See section “How to Detach Viewpoints from Capella Project?” in section “First steps with Capella” in the embedded help.

Hello Stéphane,
I detached the source model following the procedure.
Nevertheless I still have the same problem when I launch the migration process, with the same Error

Would you be able to share your model so that we can investigate? (privately, not necessarily on the forum)
Otherwise, here is what I would try:
Try to open the model in a clean Capella 1.1.x (i.e. one without the Modes/States/Configurations dropins), using the detach functionality of Capella 1.1.x
Once you are able to open Capella in this environment, try to migrate it in Capella 1.2.x

Tried to migrate my model from 1.1.1 to 1.2.0 and it comes up with the message
:Resource ‘ReqIF_Test’ does not exist.

Copyright © Eclipse Capella, the Eclipse Capella logo, Eclipse and the Eclipse logo are Trademarks of The Eclipse Foundation.